#
# spec file for package system-role-real-time-text-mode
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/system-role-real-time-text-mode repository
#
#   See https://github.com/yast/skelcd-control-server-role/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define role_name real-time-text-mode
Name:           system-role-%{role_name}
# xmllint (for validation)
BuildRequires:  libxml2-tools
# RNG validation schema
BuildRequires:  yast2-installation-control >= 4.0.4

Url:            https://github.com/yast/system-role-real-time-text-mode
AutoReqProv:    off
Version:        15.1.3
Release:        1.11
Summary:        Real Time Text Mode role definition
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Provides:       extension_for_product() = SLE_RT
Provides:       installer_module_extension() = system-role-real-time-text-mode

%description
Meta package for Real Time in Text Mode role definition.
It is not intended for installation.

%prep

%setup -n %{name}-%{version}

%check
#
# Verify syntax
#
make -C control check

%install

mkdir -p $RPM_BUILD_ROOT
#
# Add control file
#
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/system-roles
install -m 644 control/installation.xml $RPM_BUILD_ROOT/%{_datadir}/system-roles/%{role_name}.xml

# install LICENSE (required by build service check)
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}
install -m 644 LICENSE $RPM_BUILD_ROOT/%{_prefix}/share/doc/packages/%{name}

%files
%defattr(644,root,root,755)
%{_datadir}/system-roles
%doc %dir %{_prefix}/share/doc/packages/%{name}
%doc %{_prefix}/share/doc/packages/%{name}/LICENSE

%changelog
* Wed Mar 13 2019 ancor@suse.com
- Enable internationalization for labels and descriptions
  (bsc#1127348).
- Substitute redundant and outdated installation.glade with a
  symlink.
- 15.1.3
* Thu Feb 14 2019 jcheung@suse.com
- Update the role label and description (bsc#1117734)
- 15.1.2
* Wed Feb 13 2019 jcheung@suse.com
- Update and align the LICENSE file with other system roles
  (bsc#1125269)
- 15.1.1
* Thu Jan 10 2019 jcheung@suse.com
- Initial commit: Add Text Mode system role to SLERT (bsc#1117734)
